@mixin base-conteiner-cards-w-trans(
  $bgColor: $color_third,
  $titleColor: $color_secundary,
  $titleSize: $font_size_18,
  $bgButtonColor: $color_third,
  $paddingButtonTop: 20px,
  $paddingButtonRight: 20px,
  $paddingButtonBottom: 20px,
  $paddingButtonLeft: 20px
) {
  margin: 30px auto;
  width: 280px;
  height: 360px;
  border-radius: 15px;
  padding: 1.5rem;
  background: white;
  position: relative;
  display: flex;
  align-items: flex-end;
  transition: 0.4s ease-out;
  box-shadow: 0px 7px 10px rgba(black, 0.5);

  &:hover {
    transform: translateY(20px);

    &:before {
      opacity: 1;
    }

    .info {
      opacity: 1;
      transform: translateY(0px);
    }
  }
  &:before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    display: block;
    width: 100%;
    height: 100%;
    border-radius: 15px;
    background: rgba(black, 0.6);
    z-index: 2;
    transition: 0.5s;
    opacity: 0;
  }
  img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 15px;
  }
  .info {
    position: relative;
    z-index: 3;
    opacity: 0;
    transform: translateY(30px);
    transition: 0.5s;

    h2 {
      margin: 0px;
      color: $color_fifth;
      font-size: $font-size_24;
      font-weight: 600;
    }
    p {
      letter-spacing: 1px;
      font-size: 15px;
      margin-top: 8px;
      color: $color_white;
    }
    a {
      @include base-link-button(
        $bgColor: $bgButtonColor,
        $paddingTop: $paddingButtonTop,
        $paddingRight: $paddingButtonRight,
        $paddingBottom: $paddingButtonBottom,
        $paddingLeft: $paddingButtonLeft,
        $icon-size: $font-size_16
      );
    }
  }
}
